#ifndef gNET_HTTP_REQUEST_X_H
#define gNET_HTTP_REQUEST_X_H

#include "glist.h"

#ifdef DEBUG_HIO  // Http I/Output
#define DBGPRINT_HIO(args...) printf(args)
#else
#define DBGPRINT_HIO(args...) ;
#endif //DEBUG_HIO
////////////////////////////////////////////////////////////
class gHttpRequestList : public gList {
public:
    gHttpRequestList () ;
    virtual ~gHttpRequestList () {
    }

    // Public data-members
    t_int32 iContentLength;
    gList lText;

    // Get methods
    virtual unsigned NLines () {
	return lText.N();
    }

    virtual bool IsText () {
	return NLines()>0;
    }

    virtual unsigned FindHeadFirst (char* colonStr) ;
    virtual unsigned FindHeadFullFirst (char* fullStrWithColon) ;

    // I/O methods
    virtual gHttpRequestList& CopyRequest (gHttpRequestList& lReq) ;

    virtual bool Consolidate () ;

protected:
    int thisAdjustColonStr (char* colonStr, gString& sColon) ;

private:
    // Operators,empty
    gHttpRequestList (gHttpRequestList& ) ; //empty
    gHttpRequestList& operator= (gHttpRequestList& ) ; //empty
};
////////////////////////////////////////////////////////////
#endif //gNET_HTTP_REQUEST_X_H

