#ifndef gHTML_ATTR_X_H
#define gHTML_ATTR_X_H

#include "garg.h"
////////////////////////////////////////////////////////////
class gHAttrList : public gControl {
public:
    gHAttrList () ;
    virtual ~gHAttrList () ;

    // Get methods
    virtual bool IsEmpty () {
	return nAttr<=0;
    }

    virtual unsigned N () ;

    virtual short NAttr () {
	return nAttr;
    }

    virtual char* Str () ;

    virtual gParam* GetAttrParam (short iAttr) ;

    virtual char* GetAttr (short iAttr) ;
    virtual char* GetAttrValue (short iAttr) ;
    virtual char* GetAttrLValue (short iAttr) ;
    virtual char* GetAttrRValue (short iAttr) ;

    virtual int ValidateValue (char* s) ;

    // Set methods
    virtual void Reset () ;
    virtual void Set (char* s) ;
    virtual void CopyAttr (gHAttrList& copy) ;

    // Special methods
    char* Find (char* strAttr, bool doUnquote=true) {
	gList otherL;
	return Find( strAttr, doUnquote, otherL );
    }
    char* Find (char* strAttr, bool doUnquote, gList& otherL) ;

protected:
    short nAttr;
    gParam* originalLst;
    gParam** pAttrAssign;

    gString sAttr, sOAttr;
    gString sThisVal;  // Only one returned attribute value

    int thisValidateValue (gString& s) ;

private:
    // Operators,empty
    gHAttrList (gHAttrList& ) ; //empty
    gHAttrList& operator= (gHAttrList& ) ; //empty
};
////////////////////////////////////////////////////////////
#endif //gHTML_ATTR_X_H

