#ifndef X_GDNETNAMES_H
#define X_GDNETNAMES_H

#include "ghttp.h"
////////////////////////////////////////////////////////////
class gdURI : public gURI {
public:
    // Public enums
    enum eSwift {
	e_URI_NormalSwift,
	e_URI_Swift
    };

    gdURI (char* strURI=nil) ;
    gdURI (eScheme aScheme, char* strURI) ;
    ~gdURI () ;

    // Get methods
    virtual bool IsOk () ;

    virtual bool IsValidDomain () ;

    virtual char* GetPathStr () ;

    virtual char* GetRelativePathStr (eSwift aSwift=e_URI_NormalSwift) ;

    virtual char* GetDomainAndPathStr (eSwift aSwift=e_URI_NormalSwift) ;

    virtual char* GetPathNameStr (eSwift aSwift=e_URI_NormalSwift) ;

    // Set methods
    virtual bool Update () ;

protected:
    gString sPad;

private:
    // Operators,empty
    gdURI (gdURI& ) ; //empty
    gdURI& operator= (gdURI& ) ; //empty
};
////////////////////////////////////////////////////////////
#endif //X_GDNETNAMES_H

