#ifndef X_GDSNARFCONT_H
#define X_GDSNARFCONT_H

#include "gHtmlParser.h"
#include "gHtmlHAttr.h"
////////////////////////////////////////////////////////////
class gdHCouple : public gHtmlCouple {
public:
    gdHCouple (unsigned lineNr=0) ;
    gdHCouple (unsigned lineNr, char* sText) ;
    gdHCouple (unsigned lineNr, char* strTag, char* sAttrLst) ;
    virtual ~gdHCouple () ;

    // Public data-members
    gHAttrs attrs;

    // Get methods
    virtual bool IsOk () ;

    virtual char* GetStr () ;

    virtual sHtmlElement* GetTagElement (t_int16 idxTag) ;

    virtual char* TagStr (bool forceEnd=false) ;

    virtual int FindTagIdx (char* strTag, t_int16& idxTag) ;

    virtual char* GetHRef () ;

    // Set methods
    virtual int CopyNormalizeAttr (char* strTag, t_int16 idxTag, gHAttrList& copyL) ;

    // Show methods
    virtual void Show (bool doShowAll=true) ;

protected:
    int thisInitTag (bool isEndTag) ;

private:
    // Operators,empty
    gdHCouple (gdHCouple& ) ; //empty
    gdHCouple& operator= (gdHCouple& ) ; //empty
};
////////////////////////////////////////////////////////////
class gdSnarfCont : public gHtmlContent {
public:
    gdSnarfCont (gHtmlOpt* pHtmlOpt=nil) ;  // nil for default HTML options
    virtual ~gdSnarfCont () ;

    // Get methods
    virtual gdHCouple* GetOCouple (unsigned idx) ;

    virtual char* Str (unsigned idx) ;

    // Set methods
    unsigned Add (char* s) ;
    virtual int AddFromStr (char* s) ;
    virtual int AddFromString (gString& aS) ;
    virtual int AddFromList (gList& aL) ;

private:
    // Operators,empty
    gdSnarfCont (gdSnarfCont& ) ; //empty
    gdSnarfCont& operator= (gdSnarfCont& ) ; //empty
};
////////////////////////////////////////////////////////////
#endif //X_GDSNARFCONT_H

