#!/bin/sh

# Extracts 'tbb' part of 'thb' into a file.
# Usage:
#	strip_tbt.sh file.thb dump

SEEKBYTES=44

THB=$1
[ "$THB" = "" ] && exit 0

DUMP=$2
[ "$DUMP" = "" ] && exit 0

dd if=$THB of=$DUMP skip=$SEEKBYTES bs=1
res=$?

[ $res = 0 ] && echo "Dumped to: $DUMP"
exit $res

