#ifndef gBSTREAM_ETC_X_H
#define gBSTREAM_ETC_X_H

#include "gstring.h"
////////////////////////////////////////////////////////////
struct sFileStreamCtrl {
    sFileStreamCtrl () ;
    sFileStreamCtrl (gString& aName) ;
    ~sFileStreamCtrl () ;

    FILE* f;
    gString sAutoName;
    gString sName;

    bool IsAutoNamed () {
	return sAutoName.IsEmpty()==false;
    }

    bool IsOpened () {
	// Returns true if the stream (not stdXXX!) is opened
	return f!=nil && f!=stdout && f!=stderr;
    }

    bool DoClose () {
	if ( IsOpened()==false ) return false;
	fclose( f );
	f = nil;
	return true;
    }

    bool DoRemove (gString& sName) {
	int error;
	if ( sName.IsEmpty() ) return false;
	error = remove( sName.Str() )!=0;
	DBGPRINT("DBG: Removed file: %s (%d)\n",sName.Str(),error);
	return error==0;
    }
};
////////////////////////////////////////////////////////////
#endif //gBSTREAM_ETC_X_H

