#ifndef gHTML_SELECT_X_H
#define gHTML_SELECT_X_H

#include "gHtmlSeq.h"
////////////////////////////////////////////////////////////
class gHSelConf : public gControl {
public:
    gHSelConf (FILE* afRepErr) ;
    virtual ~gHSelConf () ;

    // Public data-members
    FILE* fRepErr;

    // Get methods
    virtual gConfig& Config () ;

    // Special methods
    virtual int ConfigFromFile (char* fName) ;

    // Show methods
    virtual void Show (bool doShowAll=true) ;

protected:
    gConfig* myConfig;

    int thisConfig (gConfig& cfg) ;

private:
    // Operators,empty
    gHSelConf (gHSelConf& ) ; //empty
    gHSelConf& operator= (gHSelConf& ) ; //empty
};
////////////////////////////////////////////////////////////
class gHSelect : public gControl {
public:
    gHSelect (FILE* afOut, FILE* afRepErr) ;
    virtual ~gHSelect () ;

    // Public data-members
    FILE* fOut;
    FILE* fRepErr;

    // Specific methods
    virtual int Select (gHSelConf* pConf, gHTree& lH) ;

private:
    // Operators,empty
    gHSelect (gHSelect& ) ; //empty
    gHSelect& operator= (gHSelect& ) ; //empty
};
////////////////////////////////////////////////////////////
#endif //gHTML_SELECT_X_H

