// glistext.cpp -- Version 0.1

#include "glistext.h"
#include "gstringext.h"
#include "garg.h"
////////////////////////////////////////////////////////////
// Static members
// ---------------------------------------------------------
// void!

////////////////////////////////////////////////////////////
gSmartList::gSmartList (char* s, char aSmartChr)
{
 SetSmartChr( aSmartChr );
 AddFromStr( s );
}

gSmartList::~gSmartList ()
{
}

unsigned gSmartList::MatchWhere (char* s)
{
 // Returns the position where the exact string 's' was first found within the list.
 unsigned i, n=N();

 for (i=1; i<=n; i++) {
     if ( gStrControl::Self().Match( s, Str(i), doIgnoreCase ) )
	 return i;
 }

 return 0;
}

bool gSmartList::SetSmartChr (char aSmartChr)
{
 sSmartChr.SetEmpty();
 smartChr = aSmartChr;
 if ( smartChr==0 ) return false;
 sSmartChr.Add( smartChr );
 return true;
}

int gSmartList::AddFromStr (char* s)
{
 unsigned i, n;

 if ( s==nil ) return -1;

 if ( sSmartChr.IsEmpty() ) {
     Add( s );
     return 0;
 }

 gParam aParam( s, sSmartChr.Str() );
 n = aParam.N();
 for (i=1; i<=n; i++)
     Add( aParam.Str(i) );

 return 0;
}

int gSmartList::AddFromString (gString& aS)
{
 return AddFromStr( aS.Str() );
}

int gSmartList::AddFromList (gList& aL)
{
 unsigned i, n;
 for (i=1, n=aL.N(); i<=n; i++)
     AddFromStr( aL.Str(i) );
 return 0;
}
////////////////////////////////////////////////////////////

